std::chrono::operator<<(std::chrono::weekday_indexed)(3)

NAME
std::chrono::operator<<(std::chrono::weekday_indexed) - std::chrono::operator<<(std::chrono::weekday_indexed)

Synopsis
   Defined in header <chrono>
   template <class CharT, class Traits>
   std::basic_ostream<CharT, Traits>& (since C++20)
   operator<<( std::basic_ostream<CharT, Traits>& os,
   const std::chrono::weekday_indexed& wdi );
   Outputs a textual representation of wdi into the stream os, as if by:
   if (wdi.index() >=1 && wdi.index() <= 5) {
   os << std::format(os.getloc(), STATICALLY_WIDEN<CharT>("{:L}[{}]"),
   wdi.weekday(), wdi.index());
   } else {
   os << std::format(os.getloc(), STATICALLY_WIDEN<CharT>("{:L}[{} is not a valid
   index]"),
   wdi.weekday(), wdi.index());
   }
   where STATICALLY_WIDEN<CharT>("...") is "..." if CharT is char, and L"..." if CharT
   is wchar_t.

Return value
   os.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P2372R3 C++20 the given locale was used by default L is needed to use the given
                        locale

See also
   format stores formatted representation of the
   (C++20) arguments in a new string
                        (function template)
   std::formatter<std::chrono::weekday> specialization of std::formatter that formats a
   (C++20) weekday according to the provided format
                        (class template specialization)